#!/bin/sh
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.

#This script is a fixup for porting puppy 2.1.x to build in Woof, which assumes
#Xorg is installed into /usr, not /usr/X11R7

for ONEFILE in `find ./usr/X11R7/bin -type f`
do
 BASEFILE="`basename $ONEFILE`"
 ln -snf /usr/X11R7/bin/$BASEFILE ./usr/bin/$BASEFILE
done

#probably not required...
#for ONEFILE in `find ./usr/X11R7/lib -type f`
#do
# BASEFILE="`basename $ONEFILE`"
# ln -snf /usr/X11R7/lib/$BASEFILE ./usr/lib/$BASEFILE
#done

if [ -d ./usr/X11R7/share/applications ];then
 for ONEFILE in `find ./usr/X11R7/share/applications -type f`
 do
  BASEFILE="`basename $ONEFILE`"
  mv -f $ONEFILE ./usr/share/applications/
 done
fi

if [ -d ./usr/X11R7/lib/X11 ];then
 if [ -d ./usr/lib/X11 ];then
  cp -a -f ./usr/lib/X11/* ./usr/X11R7/lib/X11/
  rm -r -f ./usr/lib/X11
 fi
 ln -snf /usr/X11R7/lib/X11 ./usr/lib/X11
fi

if [ -d ./usr/X11R7/lib/xorg ];then
 if [ -d ./usr/lib/xorg ];then
  cp -a -f ./usr/lib/xorg/* ./usr/X11R7/lib/xorg/
  rm -r -f ./usr/lib/xorg
 fi
 ln -snf /usr/X11R7/lib/xorg ./usr/lib/xorg
fi

if [ -d ./usr/X11R7/lib/xserver ];then
 if [ -d ./usr/lib/xserver ];then
  cp -a -f ./usr/lib/xserver/* ./usr/X11R7/lib/xserver/
  rm -r -f ./usr/lib/xserver
 fi
 ln -s /usr/X11R7/lib/xserver ./usr/lib/xserver
fi

if [ -d ./usr/X11R7/lib/X11 ];then
 if [ -d ./usr/share/X11 ];then
  cp -a -f ./usr/share/X11/* ./usr/X11R7/lib/X11/
  rm -r -f ./usr/share/X11
 fi
 ln -s /usr/X11R7/lib/X11 ./usr/share/X11
fi

ln -s Xorg ./usr/bin/X
rm -f ./usr/X11R7/bin/X

#extra fixes to get pup 4xx packages working in woof...

[ -f ./sbin/modprobe.bin ] && mv -f ./sbin/modprobe.bin ./sbin/modprobe

##set gtk theme as per 4.1.2...
#echo '# -- THEME AUTO-WRITTEN DO NOT EDIT
#include "/usr/share/themes/Gradient-grey/gtk-2.0/gtkrc"
#
#include "/root/.gtkrc.mine"
#
## -- THEME AUTO-WRITTEN DO NOT EDIT' > ./root/.gtkrc-2.0

##set background as per 4.1.2...
#mv -f ./usr/share/backgrounds/icelandic.jpg ./usr/share/backgrounds/default.jpg

#later seamonkey pkgs should already have this symlink...
[ ! -e ./usr/lib/seamonkey ] && ln -s seamonkey-1.0.8 ./usr/lib/seamonkey

#w218
#get rid, only have gtk2 theme in /root/.gtkrc-2.0 ...
cp -a -f ./etc/gtk-2.0 /tmp/
rm -r -f ./etc/gtk-2.0/*
cp -f /tmp/gtk-2.0/gdk-pixbuf.loaders ./etc/gtk-2.0/
cp -f /tmp/gtk-2.0/gtk.immodules ./etc/gtk-2.0/
cp -f /tmp/gtk-2.0/im-multipress.conf ./etc/gtk-2.0/

#w218
#what about gtk1 themes... phasing out gtk1...
if [ -d ./etc/gtk ];then
 cp -a -f ./etc/gtk /tmp/
 rm -r -f ./etc/gtk/*
 cp -a -f /tmp/gtk/gtkrc ./etc/gtk/
fi

#w218
#entry here gets generated in /etc/rc.d/rc.country at first boot...
rm -r -f ./usr/lib/locale/*

#w218 from glibc...
rm -r -f ./usr/lib/gconv
mv -f ./usr/lib/gconv-CUT ./usr/lib/gconv

#w218 xine pkg places some basic codecs in /usr/lib/win32...
if [ -d ./usr/lib/win32 ];then
 if [ -d ./usr/lib/codecs ];then #mplayer_basic_codecs pkg.
  cp -a -f ./usr/lib/win32/* ./usr/lib/codecs/
  rm -r -f ./usr/lib/win32
  ln -s codecs ./usr/lib/win32
 fi
fi

#end#
